# flopc::MP_index_base Class Reference
[Internal (private) interface.]

Internal representation of a index. More...

`#include <MP_index.hpp>`

Inheritance diagram for flopc::MP_index_base:
[legend]

List of all members.

## Public Member Functions
virtual int | evaluate () const =0
virtual MP_index * | getIndex () const =0
virtual MP_domain | getDomain (MP_set *s) const =0
virtual void | display () const
## Protected Member Functions
| MP_index_base ()
virtual | ~MP_index_base ()
## Private Attributes
int | count
## Friends
class | Handle< MP_index_base * >
class | MP_index_exp

## Detailed Description

Internal representation of a index.

Note:
  FOR INTERNAL USE: This is not normally used directly by the calling code.

Definition at line 26 of file MP_index.hpp.

## Constructor & Destructor Documentation

flopc::MP_index_base::MP_index_base | ( |  | ) | `[inline, protected]`

Definition at line 35 of file MP_index.hpp.

virtual flopc::MP_index_base::~MP_index_base | ( |  | ) | `[inline, protected, virtual]`

Definition at line 36 of file MP_index.hpp.

## Member Function Documentation

virtual int flopc::MP_index_base::evaluate | ( |  | ) | const`[pure virtual]`

Implemented in flopc::MP_domain_set, flopc::MP_domain_subset< nbr >, flopc::MP_index, flopc::MP_index_mult, flopc::MP_index_sum, flopc::MP_index_dif, flopc::SUBSETREF, and flopc::SubsetRef< nbr >.

virtual MP_index* flopc::MP_index_base::getIndex | ( |  | ) | const`[pure virtual]`

Implemented in flopc::MP_domain_base, flopc::MP_domain_set, flopc::MP_domain_subset< nbr >, flopc::MP_index, flopc::MP_index_mult, flopc::MP_index_sum, flopc::MP_index_dif, flopc::SUBSETREF, and flopc::SubsetRef< nbr >.

virtual MP_domain flopc::MP_index_base::getDomain | ( | MP_set * | s | ) | const`[pure virtual]`

Implemented in flopc::MP_domain_set, flopc::MP_domain_subset< nbr >, flopc::MP_index, flopc::MP_index_mult, flopc::MP_index_sum, flopc::MP_index_dif, flopc::SUBSETREF, and flopc::SubsetRef< nbr >.

virtual void flopc::MP_index_base::display | ( |  | ) | const`[virtual]`

Reimplemented in flopc::MP_domain_base, flopc::MP_set_base, and flopc::SubsetRef< nbr >.

## Friends And Related Function Documentation

friend class Handle< MP_index_base * >`[friend]`

Definition at line 27 of file MP_index.hpp.

friend class MP_index_exp`[friend]`

Definition at line 28 of file MP_index.hpp.

## Member Data Documentation

int flopc::MP_index_base::count`[private]`

Reimplemented in flopc::MP_domain_base.

Definition at line 38 of file MP_index.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_index.hpp